import java.util.*;
import java.awt.*;
import java.awt.geom.*;
public class Sample05 {
    public static void snowman(ToyGraphics tg, int x, int y, int w, int h) {
	tg.g2d.setColor(new Color(232,232,232));
	tg.g2d.fill(new Arc2D.Double(x+w/4, y, w/2, h/2, 0, 360, Arc2D.CHORD));
	tg.g2d.fill(new Arc2D.Double(x, y+h*2/5, w, h*3/5, 0, 360, Arc2D.CHORD));

	tg.g2d.setColor(new Color(128,128,128));
	tg.g2d.fill(new Arc2D.Double(x+w*(1.0/2 - 2.0/10), y+h/8, w/10, h/8, 0, 360, Arc2D.CHORD));
	tg.g2d.fill(new Arc2D.Double(x+w*(1.0/2 + 1.0/10), y+h/8, w/10, h/8, 0, 360, Arc2D.CHORD));
    }
    public static void main(String[] args) {
	ToyGraphics tg = new ToyGraphics();

	snowman(tg, 100,100,50,200);
	snowman(tg, 200,100,200,300);

	tg.repaint();
    }
}
